'use strict';

exports.__esModule = true;
exports.default = onSuccessOrFirstBlur;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function onSuccessOrFirstBlur(context, field, data, statuses, e) {
  var validationState = formUtils.normalizeValidationResults(field.validate, data.value, context.props);

  if (validationState.valid && data.value) {
    validationState.status = validationState.status || statuses.success;
  } else if (!data.value && e.type === 'change') {
    validationState.status = null;
  }

  if (!e || e.type === 'blur') {
    if (!validationState.valid) {
      validationState.status = validationState.status || statuses.error;
    } else if (data.value) {
      validationState.status = validationState.status || statuses.success;
    }

    context.setBluredField(data.fieldId);
  }

  return validationState;
}