'use strict';

exports.__esModule = true;
exports.getDataFromDom = getDataFromDom;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

var _formConstants = require('../enums/formConstants');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getDataFromDom(e) {
  var domEl = e.target;
  var fieldId = domEl.getAttribute(_formConstants.formConstants.FIELD_ID_DATA_ATTRIBUTE);

  var _formUtils$parseField = formUtils.parseFieldId(fieldId);

  var dataKey = _formUtils$parseField.dataKey;
  var entityId = _formUtils$parseField.entityId;
  var attr = _formUtils$parseField.attr;
  var value = domEl.value;
  var checked = domEl.checked;


  return {
    fieldId: fieldId,
    dataKey: dataKey,
    entityId: entityId,
    attr: attr,
    value: value,
    checked: checked
  };
}