'use strict';

exports.__esModule = true;
exports.normalizeValidationResults = normalizeValidationResults;

var _utils = require('../utils');

var formUtils = _interopRequireWildcard(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function normalizeValidationResults(validator, value, props) {
  if (!validator) {
    return { valid: true };
  }

  var results = validator(value, props);

  if (results === true) {
    return { valid: true };
  } else if (results === false) {
    return { valid: false };
  }

  var normalizedResults = {};

  normalizedResults.valid = !formUtils.isDefined(results.valid) || results.valid;

  if (results.status) {
    normalizedResults.status = results.status;
  }

  if (results.message) {
    normalizedResults.message = results.message;
  }

  return normalizedResults;
}